# Changelog
All notable changes to this project will be documented in this file. See [conventional commits](https://www.conventionalcommits.org/) for commit guidelines.

- - -
## 0.3.2 - 2024-03-15
#### Bug Fixes
- init next_major_version for builder - (ba4a137) - mattrighetti
- remove ip from logger + structured logging - (f128e98) - mattrighetti

- - -

## 0.3.1 - 2024-02-05
#### Bug Fixes
- update .env.example as config file no longer necessary - (2fb4464) - mattrighetti
- remove unnecessary factory tests - (8077a02) - mattrighetti
- set correct version and build_version - (132186d) - mattrighetti
- omit dir_addr if empty - (bbdeabd) - mattrighetti
- reduce min vm to 10 days - (e37a54d) - mattrighetti
#### Refactoring
- update data returned by `/_meta` - (0aa070a) - mattrighetti

- - -

## 0.3.0 - 2024-01-22
#### Bug Fixes
- **(bandwidth)** filter last seen active atl 7 days ago - (cb88ab3) - *mattrighetti*
- **(details)** filter last seen active atl 7 days ago - (6f58690) - *mattrighetti*
- **(exit_addresses)** exit node query fix to avoid null values in exit_addresses - (9977f90) - *mattrighetti*
- **(summary)** filter last seen active atl 7 days ago - (81af131) - *mattrighetti*
- closes #19 - (1824d9a) - mattrighetti
- misc fixes - (397bc0b) - mattrighetti
- impl relay/bridges published query - (63bbb1c) - mattrighetti
- remove periodic factory update - (c8e3783) - mattrighetti
- remove default limits on endpoints - (7947892) - mattrighetti
#### Features
- **(exit_addresses)** impl  endpoint - (b91970d) - *mattrighetti*
- **(weights_probability)** impl  endpoint - (0229fa6) - *mattrighetti*
- get total bridges and relays from database - (8bec777) - mattrighetti
#### Performance Improvements
- improve query performances - (c1c07b4) - mattrighetti
#### Refactoring
- add try_join request for tot and pub bridges/relays - (e4b3ed1) - mattrighetti
- misc handlers logic changes - (2a81c99) - mattrighetti
- impl query to get both publ and totals relays/bridges - (98473e0) - mattrighetti
- misc refactoring - (5b657a2) - mattrighetti
#### Tests
- add test for details response - (8a2fd53) - mattrighetti

- - -

## 0.2.0 - 2023-11-30
#### Bug Fixes
- **(details)** misc fixes - (ab0d28e) - Mattia Righetti
- **(details)** add autonomous_system to details resp - (ba3b483) - Mattia Righetti
- **(details)** simplified response and misc refactoring - (e5c8968) - Mattia Righetti
- details endpoint and misc refactoring - (2edd47b) - Mattia Righetti
- drop read locks before await call - (f9cfd35) - Mattia Righetti
- update factory with config data periodically - (2d63fe6) - Mattia Righetti
- fix server data types in handlers - (793cdd3) - Mattia Righetti
#### Features
- healthchecks and meta - (3a465cc) - Matt
#### Miscellaneous Chores
- **(deps)** add strum macros - (97c1016) - Mattia Righetti
- **(deps)** add sea-query-binder dep - (eb2f22e) - Mattia Righetti
- **(deps)** add sea-query dep - (4f9b45a) - Mattia Righetti
- add cog config file - (56314de) - Mattia Righetti
- update metrics tables - (1f8e5d4) - Mattia Righetti
- .gitignore update and remove sqlx unnecessary file - (28f8950) - Mattia Righetti
- update metrics sql tables - (3fa56d6) - Mattia Righetti
- update metrics sql tables - (7fc2159) - Mattia Righetti
- update metrics sql tables - (74955f2) - Mattia Righetti
#### Refactoring
- **(bandwidth)** build dyn query with sea-ql - (42bf0b3) - Mattia Righetti
- use strum to generate enum strings for VM labels - (9644e47) - Mattia Righetti
- build dyn query with sea-ql - (a98eba5) - Mattia Righetti
- misc refactoring - (6ac251d) - Mattia Righetti
- misc refactoring - (9ed8d29) - Mattia Righetti
- misc clippy refactoring - (49484e0) - Mattia Righetti
- misc refactoring - (cc53e99) - Mattia Righetti
- moved mapping logic into proper From trait - (52fcfdc) - Mattia Righetti
- reduce boilerplate response builder in handlers - (79443be) - Mattia Righetti

- - -

Changelog generated by [cocogitto](https://github.com/cocogitto/cocogitto).